"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildDisclosureFrameFromPayload = buildDisclosureFrameFromPayload;
function buildDisclosureFrameFromPayload(input) {
    var _a;
    // Handle objects recursively
    const result = {};
    // Base case: input is null or undefined
    if (input === null || input === undefined) {
        return result;
    }
    for (const [key, value] of Object.entries(input)) {
        // Ignore non-value values
        if (value === null || value === undefined)
            continue;
        if (typeof value === 'object') {
            if (Array.isArray(value)) {
                // TODO: Array disclosure frames are not yet supported - treating entire array as disclosed
                result[key] = true;
            }
            else {
                result[key] = (_a = buildDisclosureFrameFromPayload(value)) !== null && _a !== void 0 ? _a : false;
            }
        }
        else {
            // Handle primitive values
            result[key] = true;
        }
    }
    return Object.keys(result).length > 0 ? result : null;
}
//# sourceMappingURL=disclosureFrame.js.map